petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSGetIFunction

Returns the vector where the implicit residual is stored and the function/contex to compute it.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetIFunction(TS ts,Vec *r,TSIFunction *func,void **ctx)

Not Collective

### Input Parameter

ts -the TS context

### Output Parameter

| r | - vector to hold residual (or NULL)
| func | - the function to compute residual (or NULL)
| ctx | - the function context (or NULL)

### Keywords

TS, nonlinear, get, function

### See Also

TSSetIFunction(), SNESGetFunction()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages